Package org.bukkit.block.data.type

# Interface PistonHead

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`, `TechnicalPiston`

public interface PistonHead extends TechnicalPiston
'short' denotes this piston head is shorter than the usual amount because it is currently retracting.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.block.data.type.TechnicalPiston

`TechnicalPiston.Type`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isShort()`
Gets the value of the 'short' property.
`void`
`setShort(boolean _short)`
Sets the value of the 'short' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.type.TechnicalPiston

`getType, setType`

## Method Details

### isShort

boolean isShort()
Gets the value of the 'short' property.

Returns:
  the 'short' value

### setShort

void setShort(boolean _short)
Sets the value of the 'short' property.

Parameters:
  `_short` - the new 'short' value